#
# spec file for package python-subgrab
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without libalternatives
Name:           python-subgrab
Version:        1.0.4
Release:        2.1
Summary:        Script to download subtitles for media files
License:        GPL-3.0-only
URL:            https://github.com/RafayGhafoor/Subscene-Subtitle-Grabber
Source:         https://files.pythonhosted.org/packages/source/s/subgrab/subgrab-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry}
BuildRequires:  %{python_module wheel}
BuildRequires:  alts
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       alts
Requires:       python-beautifulsoup4
Requires:       python-lxml
Requires:       python-requests
BuildArch:      noarch
%python_subpackages

%description
A script that allows to download subtitles for TV-Series, Anime and Movies from
subscene and other sites.

%prep
%setup -q -n subgrab-%{version}
rm -rf subgrab.egg-info
sed -i 's/bs4/beautifulsoup4/g' setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/subgrab
%python_expand %fdupes %{buildroot}/%{$python_sitelib}

%pre
%python_libalternatives_reset_alternative subgrab

%files %{python_files}
%python_alternative %{_bindir}/subgrab
%{python_sitelib}/subgrab
%{python_sitelib}/subgrab-%{version}*-info

%changelog
* Fri Jun 13 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build and libalternatives
* Thu Jun 11 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.0.4:
  * No changelog.
- URL changed to a tarball.
* Tue May 19 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Nov 11 2017 aloisio@gmx.com
- Update to version 0.17
- Converted to single-spec
* Sat Sep 23 2017 aloisio@gmx.com
- Fixed source URL
* Sat Sep 16 2017 aloisio@gmx.com
- Initial package (0.16)
